## ros-kinetic-rosparam-handler 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosparam_handler)

find_package(catkin REQUIRED)

catkin_python_setup()

if (CATKIN_ENABLE_TESTING)
	# set compiler flags
    find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure rostest roscpp)
    set(ROSPARAM_HANDLER_CMAKE_DIR ${CMAKE_CURRENT_LIST_DIR}/cmake)
    include(cmake/rosparam_handler-macros.cmake)
	file(GLOB PROJECT_TEST_FILES_PARAMS RELATIVE "${CMAKE_CURRENT_LIST_DIR}" "test/cfg/*.params")
	generate_ros_parameter_files(${PROJECT_TEST_FILES_PARAMS})
endif()

catkin_package(
        INCLUDE_DIRS include
        CATKIN_DEPENDS catkin
        CFG_EXTRAS rosparam_handler-extras.cmake
)

install(
        DIRECTORY cmake
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
        DIRECTORY templates
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
        DIRECTORY include/rosparam_handler/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS scripts/generate_yaml
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" Cpp11CompilerFlag)
    if (${Cpp11CompilerFlag})
           set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else()
           message(FATAL_ERROR "Compiler does not have c++11 support.")
    endif()

	file(GLOB PROJECT_TEST_FILES_SRC RELATIVE "${CMAKE_CURRENT_LIST_DIR}" "test/src/*.cpp")
    set(TEST_TARGET_NAME "rosparam_handler_test")
    add_rostest_gtest(${TEST_TARGET_NAME} test/launch/rosparam_handler.test ${PROJECT_TEST_FILES_SRC})
    add_rostest(test/launch/rosparam_handler_python.test DEPENDENCIES ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
    target_link_libraries(${TEST_TARGET_NAME} ${catkin_LIBRARIES} gtest)
    target_include_directories(${TEST_TARGET_NAME} PUBLIC ${catkin_INCLUDE_DIRS} include)
    add_dependencies(${TEST_TARGET_NAME} ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})
    set_property(TARGET ${TEST_TARGET_NAME} PROPERTY CXX_STANDARD 11)
    set_property(TARGET ${TEST_TARGET_NAME} PROPERTY CXX_STANDARD_REQUIRED ON)
endif()

=== debian/changelog ===
ros-kinetic-rosparam-handler (0.1.4-0xenial) xenial; urgency=high

  * update doc
  * fix #57 <https://github.com/cbandera/rosparam_handler/issues/57>
    replace map/vec custom stream op by func
  * update readme
  * add toConfig
  * Fix #47 <https://github.com/cbandera/rosparam_handler/issues/47>
    Do not print error message while retrieving param with default value.
  * Contributors: Jeremie Deray, artivis

 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Sat, 01 Sep 2018 22:00:00 -0000

ros-kinetic-rosparam-handler (0.1.3-0xenial) xenial; urgency=high

  * Merge pull request #50 <https://github.com/cbandera/rosparam_handler/issues/50> from cbandera/develop
    Use industrial_ci & docker
  * Merge pull request #45 <https://github.com/cbandera/rosparam_handler/issues/45> from cbandera/feature/travis_industrial_ci
    Change travis conf to use industrial_ci & docker
  * Merge pull request #48 <https://github.com/cbandera/rosparam_handler/issues/48> from cbandera/develop
    Fix install rule
  * Merge branch 'develop' into feature/travis_industrial_ci
  * Merge pull request #46 <https://github.com/cbandera/rosparam_handler/issues/46> from plusone-robotics/plusone/master
    Fix CI Breaking on External Projects
  * Merge pull request #3 <https://github.com/cbandera/rosparam_handler/issues/3> from geoffreychiou/gc_fix_ci
    Fixed CI Build Error Caused by rosparam_handler
  * added slash at end of include dir
  * Merge branch 'develop' into feature/travis_industrial_ci
  * change travis conf to use industrial_ci & docker
    - using industrial_ci simplifies a lot the travis conf file
    - using Docker enables CI for kinetic & lunar
  * Contributors: Claudio Bandera, Geoffrey Chiou, Jeremie Deray, geoffreychiou

 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Thu, 22 Mar 2018 23:00:00 -0000

ros-kinetic-rosparam-handler (0.1.2-0xenial) xenial; urgency=high

  * std::endl -> n
    YamlGenerator closes #30 <https://github.com/artivis/rosparam_handler/issues/30>
  * Bugfixes
  * Uncomment lines without default, to force user to set them
  * Added documentation for generator script
  * Reformatted python files
  * ClangFormat files
  * Simplified utility functions
  * Fix for failing tests
  * Added functionality for setting parameters on server.
  * Added documentation to functions
  * Moved common function to util header
  * Removed debugging leftover
    Add Python support
  * Display correct test names for each test
  * Replaced errors with warnings
    For python, when min/max is corrected. The behaviour is now similar to cpp
  * Made tests visible
    Replaced individual testcases with TestSuite
  * Set default values on param server, add python tests for that
  * Remove useless comment leftovers
    Bugfix/force clean builds
  * Readded check for C++11 support.
  * Force travis to do a clean build
  * Removed verbose output during build
    Fix initialisation order in parameter class template
  * Fixed merge error in template
    Remove useless character
    Set default values on parameter server if no value is set
  * Updated the documentation
  * Remove duplicate test
  * Add unittests
  * Name tests properly, add cmake dependency
  * Throw more informative exception if parameters without default value are unset
  * Add python unittests
    Feature/add continous integration
  * Changed build flag to display develop branch
  * Updated README contribution guide
  * Added matrix job and removed C++14 check
  * Added initial travis config
  * Added first set of tests
  * Added LICENSE file. Closes #25 <https://github.com/artivis/rosparam_handler/issues/25>
  * Updated README to include release information. Closes #17 <https://github.com/artivis/rosparam_handler/issues/17>.
  * Moved common functions to utilities.hpp. Fixes #11 <https://github.com/artivis/rosparam_handler/issues/11>
  * Handler is now throwing an exception upon failure.
    Before, it was calling std::exit(EXIT_FAILURE) but it was causing problems during testing.
  * Add min/max check for map and vector to be consistent with C++
  * Include python usage in documentation
  * Set default values on parameter server if no value is set
  * Fix initialisation order in parameter class template
  * param handler now generates python parameter files too
  * Remove useless character
  * Contributors: Claudio Bandera, Fabian Poggenhans, Jan-Hendrik Pauls, Jeremie Deray, Niels Ole Salscheider, vincentrou

 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Tue, 06 Feb 2018 23:00:00 -0000

ros-kinetic-rosparam-handler (0.1.1-0xenial) xenial; urgency=high

  * Initial release of rosparam_handler
  * Contributors: Claudio Bandera, Fabian Poggenhans, Jeremie Deray, Matthias Füller, Nikolaus Demmel, Sascha Wirges, artivis

 -- Claudio Bandera <cbandera@posteo.de>  Tue, 30 May 2017 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosparam-handler
Section: misc
Priority: extra
Maintainer: Jeremie Deray <jeremie.deray@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-roscpp, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rosparam-handler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-catkin
Description: An easy wrapper for using parameters in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosparam-handler//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
